Bug 1118076 - ds logs many "Operation error fetching Null DN" messages
Summary: ds logs many "Operation error fetching Null DN" messages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-10 00:27 UTC by Noriko Hosoi
Modified: 2015-03-05 09:36 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:36:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Description Noriko Hosoi 2014-07-10 00:27:38 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47733

When running the ipa test suite there are many errors like:

Operation error fetching Null DN (9999f846-a07111e3-9fe5a234-9957fd81), error -30993.

Comment 3 Noriko Hosoi 2014-10-21 16:57:48 UTC
Based upon the description of the ticket, running IPA test suite and if the "Operation error" is not logged in the error log, the fix is verified.

https://fedorahosted.org/389/ticket/47733
When running the ipa test suite there are many errors like:
Operation error fetching Null DN (9999f846-a07111e3-9fe5a234-9957fd81), error -30993.

Comment 5 Sankar Ramalingam 2015-01-28 12:27:46 UTC
(In reply to Noriko Hosoi from comment #3)
> Based upon the description of the ticket, running IPA test suite and if the
> "Operation error" is not logged in the error log, the fix is verified.
> 
Can this be verified on DS alone setup? Otherwise, I need to seek help from the IPA QE team.
> https://fedorahosted.org/389/ticket/47733
> When running the ipa test suite there are many errors like:
> Operation error fetching Null DN (9999f846-a07111e3-9fe5a234-9957fd81),
> error -30993.

Comment 6 Noriko Hosoi 2015-01-28 18:05:39 UTC
(In reply to Sankar Ramalingam from comment #5)
> (In reply to Noriko Hosoi from comment #3)
> > Based upon the description of the ticket, running IPA test suite and if the
> > "Operation error" is not logged in the error log, the fix is verified.
> > 
> Can this be verified on DS alone setup? Otherwise, I need to seek help from
> the IPA QE team.
> > https://fedorahosted.org/389/ticket/47733
> > When running the ipa test suite there are many errors like:
> > Operation error fetching Null DN (9999f846-a07111e3-9fe5a234-9957fd81),
> > error -30993.

It looks the scenario is pretty complicated, though...

https://fedorahosted.org/389/ticket/47733#comment:4
The messages are logged if in an add operation the attempt to check if an entry with the nsuniquied of the new entry already exists. Normally the entry does not exist and a DB_NOTFOUND is returned and ignored.
In this case fails when trying to read the nsuniquid index because the page is locked. If this is done in a transaction the code does not wait for the lock and returns DB_DEADLOCK, so that the access will be retried. In fact the access is retied 5 times, but without waiting and so the -30993 messages are logged.

It needs a special scenario to run into this problem:
=====================================================
there are at least two backends and concurrent modifications to the backends and retro changelog needs to be enabled.
The mods to the backends can happen in parallel, but in the postop writing the retro cl both want to add an entry to the same retrocl backend.

Comment 7 Sankar Ramalingam 2015-01-30 12:34:51 UTC
I enabled retrocl plugin and added two backends. Then, tried adding/deleting/modifying entries at the same time to both databases. 
[root@sparks slapd-M1]# pwd
/var/log/dirsrv/slapd-M1
[root@sparks slapd-M1]# grep -i "fetching Null DN" *

No errors encountered as mentioned in the bug. Hence, marking the bug as Verified.

Comment 9 errata-xmlrpc 2015-03-05 09:36:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.